Package org.apache.sysds.runtime.controlprogram.caching

## Class CacheMaintenanceService

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.caching.CacheMaintenanceService

    public class CacheMaintenanceService
    extends Object

### Constructor Summary

Constructors
`CacheMaintenanceService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `deleteFile​(String fname)`
`boolean` `isAsync()`
`void` `serializeData​(ByteBuffer bbuff, CacheBlock<?> cb)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheMaintenanceService

    public CacheMaintenanceService()

### Method Detail

#### deleteFile

    public void deleteFile​(String fname)

#### serializeData

    public void serializeData​(ByteBuffer bbuff,
                              CacheBlock<?> cb)

#### close

    public void close()

#### isAsync

    public boolean isAsync()